Quattro9SpreadsheetInternal::Cell Class Referencefinal

a cellule of a Quattro spreadsheet More...

Inheritance diagram for Quattro9SpreadsheetInternal::Cell:

## Public Member Functions
| Cell ()
| constructor
void | updateFormat (int fileFormat)
| update the cell format using file format
bool | send (WPSListenerPtr &) final
| call when a cell must be send
bool | sendContent (WPSListenerPtr &) final
| call when the content of a cell must be send
Public Member Functions inherited from WPSCell
| WPSCell ()
| constructor
| WPSCell (WPSCell const &)=default
WPSCell & | operator= (WPSCell const &)=default
| ~WPSCell () override
| destructor
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList
void | setBox (WPSBox2f const &b)
| set the bounding box (units in point)
WPSBox2f const & | box () const
| return the bounding box
bool | isVerticalSet () const
| returns true if the vertical is fixed
void | setVerticalSet (bool verticalSet)
| fixes or not the vertical size
Vec2i & | position ()
| position accessor
Vec2i const & | position () const
| position accessor
void | setPosition (Vec2i posi)
| set the cell positions : 0,0 -> A1, 0,1 -> A2
Vec2i const & | numSpannedCells () const
| returns the number of spanned cells
void | setNumSpannedCells (Vec2i numSpanned)
| sets the number of spanned cells : Vec2i(1,1) means 1 cellule
Public Member Functions inherited from WPSCellFormat
| WPSCellFormat ()
| constructor
| WPSCellFormat (WPSCellFormat const &)=default
WPSCellFormat & | operator= (WPSCellFormat const &)=default
virtual | ~WPSCellFormat ()
| destructor
bool | hasBasicFormat () const
| returns true if this is a basic format style
std::string | getValueType () const
| returns a value type
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList
bool | getNumberingProperties (librevenge::RVNGPropertyList &propList) const
| get the number style
WPSFont const & | getFont () const
| returns the font
void | setFont (WPSFont const &font)
| sets the font
HorizontalAlignment | hAlignment () const
| returns the horizontal alignement
void | setHAlignment (HorizontalAlignment align)
| sets the horizontal alignement
VerticalAlignment | vAlignment () const
| returns the vertical alignement
void | setVAlignment (VerticalAlignment align)
| sets the vertical alignement
Wrapping | wrapping () const
| returns the wrapping
void | setWrapping (Wrapping align)
| sets the wrapping
int | getTextRotation () const
| returns the text rotation angle
void | setTextRotation (int rotation)
| sets the text rotation angle
FormatType | getFormat () const
| returns the format type
int | getSubFormat () const
| returns the subformat type
std::string | getDTFormat () const
| returns the date/time format ( if set)
void | setFormat (FormatType form, int subForm=0)
| sets the format type
void | setDTFormat (FormatType form, std::string const &dtFormat="")
| sets the format type
int | digits () const
| returns the number of digits ( for a number)
void | setDigits (int newDigit)
| set the number of digits ( for a number)
bool | isProtected () const
| returns true if the cell is protected
void | setProtected (bool fl)
| returns true if the cell is protected
bool | hasBorders () const
| return true if the cell has some border
std::vector< WPSBorder > const & | borders () const
| return the cell border: libwps::LeftBit | ...
void | resetBorders ()
| reset the border
void | setBorders (int wh, WPSBorder const &border)
| sets the cell border: wh=WPSBorder::LeftBit|...
void | setBorders (std::vector< WPSBorder > const &newBorders)
| sets the cell borders
WPSColor | backgroundColor () const
| returns the background color
void | setBackgroundColor (WPSColor const &color)
| set the background color
int | compare (WPSCellFormat const &cell, bool onlyNumbering=false) const
| a comparison function

## Additional Inherited Members
Public Types inherited from WPSCellFormat
enum | HorizontalAlignment { HALIGN_LEFT , HALIGN_RIGHT , HALIGN_CENTER , HALIGN_FULL , HALIGN_DEFAULT }
| the default horizontal alignement. More...
enum | VerticalAlignment { VALIGN_TOP , VALIGN_CENTER , VALIGN_BOTTOM , VALIGN_DEFAULT }
| the default vertical alignement. More...
enum | Wrapping { WRAP_WRAP , WRAP_NO_WRAP , WRAP_DEFAULT }
| the wrapping More...
enum | FormatType { F_TEXT , F_BOOLEAN , F_NUMBER , F_DATE , F_TIME , F_UNKNOWN }
| the different types of cell's field More...
Static Protected Member Functions inherited from WPSCellFormat
static bool | convertDTFormat (std::string const &dtFormat, librevenge::RVNGPropertyListVector &propListVector)
| convert a DTFormat in a propertyList
Protected Attributes inherited from WPSCell
WPSBox2f | m_box
| the cell bounding box (unit in point)
bool | m_verticalSet
| true if y size is fixed
Vec2i | m_position
| the cell row and column : 0,0 -> A1, 0,1 -> A2
Vec2i | m_numberCellSpanned
| the cell spanned : by default (1,1)
Protected Attributes inherited from WPSCellFormat
WPSFont | m_font
| the cell font ( used in spreadsheet code )
HorizontalAlignment | m_hAlign
| the cell alignement : by default nothing
VerticalAlignment | m_vAlign
| the cell vertical alignement : by default nothing
Wrapping | m_wrapping
| the wrapping : by default nothing
int | m_rotation
| the text rotation
std::vector< WPSBorder > | m_bordersList
| the cell border WPSBorder::Pos
FormatType | m_format
| the cell format : by default unknown
int | m_subFormat
| the sub format
std::string | m_DTFormat
| a date/time format ( using a subset of strftime format )
int | m_digits
| the number of digits
bool | m_protected
| cell protected
WPSColor | m_backgroundColor
| the backgroung color

## Detailed Description

a cellule of a Quattro spreadsheet

## Constructor & Destructor Documentation

## ◆ Cell()

Quattro9SpreadsheetInternal::Cell::Cell | ( |  | ) |
| inline explicit

constructor

## Member Function Documentation

## ◆ send()

bool Quattro9SpreadsheetInternal::Cell::send | ( | WPSListenerPtr & |  | ) |
| final virtual

call when a cell must be send

Implements WPSCell.

## ◆ sendContent()

bool Quattro9SpreadsheetInternal::Cell::sendContent | ( | WPSListenerPtr & |  | ) |
| inline final virtual

call when the content of a cell must be send

Implements WPSCell.

## ◆ updateFormat()

void Quattro9SpreadsheetInternal::Cell::updateFormat | ( | int | fileFormat | ) |
| inline

update the cell format using file format

Referenced by Quattro9Spreadsheet::sendCellContent().

The documentation for this class was generated from the following file:

- Quattro9Spreadsheet.cpp